source('/home/users/dmcinerney/DPI_2014/R_scripts/file_dir_manipulation.R')

BATEA = FALSE

irrigation_dirname = '../irrigation_pest/'

summary_dirname = paste(irrigation_dirname,'summary/',sep='')
#command = paste('rd ',summary_dirname,sep='')
#command = paste('rm -rif ',summary_dirname,sep='')
#print(command)
#system(command)
rm_dir(summary_dirname)

#command = paste('md',summary_dirname)
#command = paste('mkdir ',summary_dirname)
#print(command)
#system(command)
mk_dir(summary_dirname)

#swat_exe = XXX_swat_exe_XXX
#inschek_exe = XXX_inschek_exe_XXX
swat_exe = '/home/users/dmcinerney/DPI_2014/exe/swat.exe'
#inschek_exe = 'D:/Data/Work/DPI/exe/inschek.exe'
#generate_ET_batea_exe =  'D:/Data/Work/DPI/BATEA_scripts/generate_batea_ET.bat'
inschek_exe = '/home/users/dmcinerney/bin/inschek'
#generate_ET_batea_exe = '../batea/generate_batea_ET.bat'
generate_ET_batea_exe = '../batea/generate_batea_ET.script'

n_realizations = 1

watout = matrix(nrow=365,ncol=n_realizations)
wat21 = matrix(nrow=334,ncol=n_realizations)
readET = matrix(nrow=44,ncol=n_realizations)
sub21G = matrix(nrow=11,ncol=n_realizations)
outstdG = matrix(nrow=12,ncol=n_realizations)
ETbatea = matrix(nrow=577,ncol=n_realizations)
for (rs in 1: n_realizations){
  
#  command = paste('del *.mgt',sep='')
#  command = paste('rm *.mgt',sep='')
#  print(command)
#  system(command)
  rm_files('*.mgt') 
 
#  command = paste('xcopy ../irrigation/',sprintf('%04d',rs),'/mgt/* ./ /E',sep='')
#  command = paste('cp ../irrigation/',sprintf('%04d',rs),'/mgt/* ./ ',sep='')
#  print(command)
#  system(command)
  cp_files(paste(irrigation_dirname,sprintf('%04d',rs),'/mgt/*',sep=''), './')
 
  command = swat_exe
  system(command)
  
  command = paste(inschek_exe,' ../pest/instruction/watout.ins watout.dat',sep='')
  system(command)
  old_watout_fname = '../pest/instruction/watout.obf'
  new_watout_fname = paste(irrigation_dirname,sprintf('%04d',rs),'/pest_obf/watout.obf',sep='')
#  command = paste('copy',old_watout_fname,new_watout_fname,sep=' ')
#  command = paste('cp ',old_watout_fname,new_watout_fname,sep=' ')
#  system(command)
  cp_files(old_watout_fname,new_watout_fname)
  watout[,rs] = read.table(new_watout_fname)[,2]
  
  command = paste(inschek_exe,' ../pest/instruction/wat21.ins watout4.dat',sep='')
  system(command)
  old_wat21_fname = '../pest/instruction/wat21.obf'
  new_wat21_fname = paste(irrigation_dirname,sprintf('%04d',rs),'/pest_obf/wat21.obf',sep='')
#  command = paste('copy',old_wat21_fname,new_wat21_fname,sep=' ')
#  command = paste('cp ',old_wat21_fname,new_wat21_fname,sep=' ')
#  system(command)
  cp_files(old_wat21_fname,new_wat21_fname)
  wat21[,rs] = read.table(new_wat21_fname)[,2]
  
  command = paste(inschek_exe,' ../pest/instruction/readET.ins output.sub',sep='')
  system(command)
  old_readET_fname = '../pest/instruction/readET.obf'
  new_readET_fname = paste(irrigation_dirname,sprintf('%04d',rs),'/pest_obf/readET.obf',sep='')
#  command = paste('copy',old_readET_fname,new_readET_fname,sep=' ')
#  command = paste('cp ',old_readET_fname,new_readET_fname,sep=' ')
#  system(command)
  cp_files(old_readET_fname,new_readET_fname)
  readET[,rs] = read.table(new_readET_fname)[,2]
  
  command = paste(inschek_exe,' ../pest/instruction/Sub21G.ins output.sub',sep='')
  system(command)
  old_sub21G_fname = '../pest/instruction/Sub21G.obf'
  new_sub21G_fname = paste(irrigation_dirname,sprintf('%04d',rs),'/pest_obf/Sub21G.obf',sep='')
#  command = paste('copy',old_sub21G_fname,new_sub21G_fname,sep=' ')
#  command = paste('cp ',old_sub21G_fname,new_sub21G_fname,sep=' ')
# system(command)
  cp_files(old_sub21G_fname,new_sub21G_fname)
  sub21G[,rs] = read.table(new_sub21G_fname)[,2]
  
  command = paste(inschek_exe,' ../pest/instruction/outstdG.ins output.std',sep='')
  system(command)
  old_outstdG_fname = '../pest/instruction/outstdG.obf'
  new_outstdG_fname = paste(irrigation_dirname,sprintf('%04d',rs),'/pest_obf/outstdG.obf',sep='')
#  command = paste('copy',old_outstdG_fname,new_outstdG_fname,sep=' ')
#  command = paste('cp ',old_outstdG_fname,new_outstdG_fname,sep=' ')
#  system(command)
  cp_files(old_outstdG_fname,new_outstdG_fname)
  outstdG[,rs] = read.table(new_outstdG_fname)[,2]

  if (BATEA) {  
  system(generate_ET_batea_exe)
  old_ETbatea_fname = '../swat_batea/ET_batea.dat'
  new_ETbatea_fname = paste(irrigation_dirname,sprintf('%04d',rs),'/pest_obf/ET_batea.dat',sep='')
#  command = paste('copy',old_ETbatea_fname,new_ETbatea_fname,sep=' ')
#  command = paste('cp ',old_ETbatea_fname,new_ETbatea_fname,sep=' ')
#  system(command)
  cp_files(old_ETbatea_fname,new_ETbatea_fname)
  ETbatea[,rs] = read.table(new_ETbatea_fname)[,1]
  }  

  
}

n_warm = 10075 - 9863
n_infer = 10439 - 10075 + 1

watout_summary = matrix(nrow=365,ncol=3)
watout_summary[,1] = apply(watout,1,mean)
if (n_realizations > 1) {
  watout_summary[,2] = apply(watout,1,sd)
  watout_summary[,3] = apply(watout,1,sd)/sqrt(n_realizations)
} else{
  watout_summary[,2] = -999
  watout_summary[,3] = -999
}
watout_summary_fname = paste(summary_dirname,'watout.obf',sep='')
write.table(watout_summary, file=watout_summary_fname,row.names=F,col.names=F,sep='          ')
watout_summary_batea = matrix(nrow=n_warm+n_infer,ncol=1)
watout_summary_batea[1:n_warm] = -999
watout_summary_batea[(n_warm+1):(n_warm+n_infer)] = watout_summary[,1]
watout_summary_batea_fname = paste(summary_dirname,'watout_batea.obf',sep='')
write.table(watout_summary_batea, file=watout_summary_batea_fname,row.names=F,col.names=F,sep='          ')

wat21_summary = matrix(nrow=334,ncol=3)
wat21_summary[,1] = apply(wat21,1,mean)
if (n_realizations > 1) {
  wat21_summary[,2] = apply(wat21,1,sd)
  wat21_summary[,3] = apply(wat21,1,sd)/sqrt(n_realizations)
} else{
  wat21_summary[,2] = -999
  wat21_summary[,3] = -999
}
wat21_summary_fname = paste(summary_dirname,'wat21.obf',sep='')
write.table(wat21_summary, file=wat21_summary_fname,row.names=F,col.names=F,sep='          ')
wat21_summary_batea = matrix(nrow=n_warm+n_infer,ncol=1)
wat21_summary_batea[1:n_warm] = -999
wat21_summary_batea[(n_warm+1):(n_warm+334)] = wat21_summary[,1]
wat21_summary_batea[(n_warm+334+1):(n_warm+n_infer)] = -999 
wat21_summary_batea_fname = paste(summary_dirname,'wat21_batea.obf',sep='')
write.table(wat21_summary_batea, file=wat21_summary_batea_fname,row.names=F,col.names=F,sep='          ')

readET_summary = matrix(nrow=44,ncol=3)
readET_summary[,1] = apply(readET,1,mean)
if (n_realizations > 1) {
  readET_summary[,2] = apply(readET,1,sd)
  readET_summary[,3] = apply(readET,1,sd)/sqrt(n_realizations)
}else{
  readET_summary[,2] = -999
  readET_summary[,3] = -999
}
readET_mean_fname = paste(summary_dirname,'readET.obf',sep='')
write.table(readET_summary, file=readET_mean_fname,row.names=F,col.names=F,sep='          ')

sub21G_summary = matrix(nrow=11,ncol=3)
sub21G_summary[,1] = apply(sub21G,1,mean)
if (n_realizations > 1) {
  sub21G_summary[,2] = apply(sub21G,1,sd)
  sub21G_summary[,3] = apply(sub21G,1,sd)/sqrt(n_realizations)
} else {
  sub21G_summary[,2] = -999
  sub21G_summary[,3] = -999
}  
sub21G_summary_fname = paste(summary_dirname,'Sub21G.obf',sep='')
write.table(sub21G_summary, file=sub21G_summary_fname,row.names=F,col.names=F,sep='          ')

outstdG_summary = matrix(nrow=12,ncol=3)
outstdG_summary[,1] = apply(outstdG,1,mean)
if (n_realizations > 1) {
  outstdG_summary[,2] = apply(outstdG,1,sd)
  outstdG_summary[,3] = apply(outstdG,1,sd)/sqrt(n_realizations)
} else {
  outstdG_summary[,2] = -999
  outstdG_summary[,3] = -999
}  
outstdG_summary_fname = paste(summary_dirname,'outstdG.obf',sep='')
write.table(outstdG_summary, file=outstdG_summary_fname,row.names=F,col.names=F,sep='          ')

if (BATEA) {
ETbatea_summary = matrix(nrow=577,ncol=3)
ETbatea_summary[,1] = apply(ETbatea,1,mean)
if (n_realizations > 1) {
  ETbatea_summary[,2] = apply(ETbatea,1,sd)
  ETbatea_summary[,3] = apply(ETbatea,1,sd)/sqrt(n_realizations)
} else {
  ETbatea_summary[,2] = -999
  ETbatea_summary[,3] = -999
}
ETbatea_summary_fname = paste(summary_dirname,'ET_batea.dat',sep='')
write.table(ETbatea_summary, file=ETbatea_summary_fname,row.names=F,col.names=F,sep='          ')
}
